CAT-6 Module Basteleien

KOSH

Mobilfunk Teilnehmer
28 Mrz 2014
3.918
1.821
Model : Sierra Wireless Airprim EM7455 (MC7455) CAT6

Find Module also in LENOVO Laptops but they have a branding only for Lenovo
-------------------------------------------------------
SMA Cabel hier only for EM7455
-------------------------------------------------------
SMA Cabel hier only for MC7455
-------------------------------------------------------
Adapter+Simholder 1 : hier only for EM7455
-------------------------------------------------------
Adapter+Simholder 2 : hier for EM7455&MC7455
-------------------------------------------------------
GPS Antenne hier for EM7455&MC7455
-------------------------------------------------------
Case was Fertiges some user get this case from User @Gruber THX his Thread >Sammelbestellung<


ROUTER FIRMWARES NEWEST
LinksysWRT1900ACS LEDE 4.9 + Modem Manager on the Linksys WRT1900acs + Qmi + Mbim THX @Westrem
Mini-PC with OpenWRT LINK THX @Yoshi
Direkt in Laptop
In an Omnia Router LINK THX @Sin10

Modem Firmware update Over-the-Air !
Here is guide to enable FOTA (Firmware Over-the-Air) support on EM/MC series.
Register to Sierra Wireless AirVantage:
https://eu.airvantage.net/
...... use company e-mail address, ie. gmail won't work....LINK THX @valexi

Router Settings MBIM QMI and much more !
Post-2 Thread here THX @Gsicht

Modem Band Setting

First step program BAND (B3,B7,B20,B3&B7)

With AT!Band=? you see 10 selection options but no individual Band so you have to set new one.
You only have to do this one time !
AT!ENTERCND="A710"

AT!BAND=0B,”B3”,0,4
AT!BAND=0A,"B7",0,40

AT!BAND=0D,"B20",0,80000
AT!BAND=0C,"B3&B7",0,44

^^^^remains stored^^^^^
-------------------------------------------------------
AT!Band=? read all Bands
AT!Band? read only used Band
AT!BANDDEF Band Optionen Factory
-------------------------------------------------------

LOCK to a Band
You can change it any time !

AT!BAND=00 automatic Band
AT!BAND=0B only LTE (1800-B3)
AT!BAND=0A only LTE (2600-B7)
AT!BAND=0D only LTE (800-B20)
AT!BAND=0C LTE Advanced (1800&2600)
^^^^remains stored^^^^^
-------------------------------------------------------

Lock to LTE
AT!SELRAT=00 automatic
AT!SELRAT=01 only UMTS 3G
AT!SELRAT=06 only LTE
AT!SELRAT=11 only UMTS and LTE
^^^^remains stored^^^^^


Connect to Modem over TELNET or TTL Console

root@OpenWrt:/#
screen /dev/ttyUSB2
Seine Dinge tun wie Band setzen u.s.w.
Screen escape with
Strg+A+D
Delete session with
root@OpenWrt:/#
screen -x
root@OpenWrt:/#kill Session-Nr

Bandsetting Fritz-Box <> Sierra Chip

upload_2016-5-25_21-53-48.png




http://niviuk.free.fr/lte_band.php
LTE TX chanel = 21350 = Earfcn UL = 2560 MHz

LTE RX chanel = 3350 = Earfcn DL = 2680 MHz

AT-Commandos

at+clac alle Befehle auflisten
at$qcclac? alle Befehle auflisten (ein paar mehr als at+clac siehe Anhang)
at!gstatus? Schnellübersicht der wichtigsten Parameter
at!lteinfo LTE Übersicht
at^sysinfo <srvStatus><srvDomain><roamStatus><sysmode><simstatus>
at+cops der eigene Provider
at$qcapne der APN und die Technologie
at$qcrsrp? It looks like it returns a list of neighboring cells and their EARFCN
at!pctemp? Status is very good for me because Router is in roof
at!pcvolt? die Spannung halt
at!selmode? (ist für die Deutschen Zweitkartenbesitzer @expertman ) CS and PS
at!getband? das gerade benutzte Band anzeigen
at!band? Liste der verfügbaren Bänder
at!selrat? nur LTE nur LTE/UMTS .........
at!dalgtxagc? zeigt die vier Antennenwerte MIMO wie bei der Fritzbox
at+cimi zeigt die imei Nummer
at+cpin? Card Status

at$qcprfmod

Uqmi- Commandos

uqmi -m -d /dev/cdc-wdm0 --set-network-roaming any
--set-network-roaming <mode>: Set roaming preference:
Available modes: any, off, only



A1 User @gogosch

Cat-6 Router Linksys WRT1900ACS mit externen Modem und ohne doppel NAT


FIRST TESTS

Entwickler @Gsicht
OpenWRT Firmware+MBIM 09.09.2016
After Flash this codes must be set
Code:
uci del network.wan
uci set network.wan=interface
uci set network.wan.proto=mbim
uci set network.wan.device=/dev/cdc-wdm0
uci set network.wan.apn=drei.at
uci set network.wan.username=1234
uci set network.wan.password=1234
uci commit network
reboot
Speed with Only Band 7 (150MBit possible
)




With LTE Advanced (B3&B7) and this Modem are 300 MBits possible
have only B7 here.



GPS

Enabling the GPS
AT!ENTERCND="A710"
AT!CUSTOM="GPSENABLE",1
Firmware 1_4_5_0AP or later requires this additional command:
AT!CUSTOM="GPSREFLOC",1
Alternatively, to disable GPS:
AT!ENTERCND="A710"
AT!CUSTOM="GPSENABLE",0
Once the modem is reconnected, you will have an additional serial device for accessing the GPS.
Note: On Linux this becomes device ttyUSB2, so you will need to connect to ttyUSB3 to send commands to the modem and ttyUSB4 for PPP connections if the GPS is enabled.
To test the GPS, you can use the following AT command:
AT!GPSFIX=1,30,10
This requests a non-assisted GPS fix with a 30 second timeout to within 10 metre accuracy. These options can be adjusted as required, AT!GPSFIX=? will give a list of valid values.
To read the position, use the command AT!GPSLOC?
Other GPS commands of interest:
AT!GPSSTATUS?
AT!GPSTRACK


48°11'52.3"N 16°15'58.2"E for Internet Browser
AT!CUSTOM? what Options are switched on

!CUSTOM:
GPSENABLE 0x01
GPSSEL 0x01
GPSREFLOC 0x01
SIMLPM 0x01
USBSERIALENABLE 0x01
SINGLEAPNSWITCH 0x01

AT!CUSTOM=? what you can switch on

!CUSTOM:
"GPSENABLE"
"GPSLPM"
"GPIOSARENABLE"
"GPSSEL"
"GPSREFLOC"
"IMSWITCHHIDE"
"IMCONFIG"
"IPV6ENABLE"
"WAKEHOSTEN"
"SIMHOTSWAPDIS"
"CFUNPERSISTEN"
"QMIDETACHEN"
"UIM2ENABLE"
"NETWORKNAMEFMT"
"SIMLPM"
"USBSERIALENABLE"
"PCSCDISABLE"
"DHCPRELAYENABLE"
"FLOWNOTIDISABLE"
"FASTENUMEN"
"CSVOICEREJECT"
"IPCHANNELRATEEN"
"SINGLEAPNSWITCH"

AT!ENTERCND="A710"
on
AT!CUSTOM="DHCPRELAYENABLE",1
off
AT!CUSTOM="DHCPRELAYENABLE",0
========================================

MBIM QMI see Post 2

AT!ENTERCND="A710"
Modus bei mir AT!USBCOMP=1,1,100D + NMEA PORT
Modus MBIM (1009) AT!USBCOMP=1,1,1009 (unplug/replug und you got MBIM)
Modus QMI (10D) AT!USBCOMP=1,1,10D (unplug/replug und you got QMI)
upload_2016-5-17_21-1-56.png
 

Anhänge

Zuletzt bearbeitet:

Gsicht

Mobilfunk Teilnehmer
22 Mrz 2014
6.363
1.494
Modus wechseln:

Das EM7455 kann MBIM und QMI, zwei unterschiedliche Arten wie man eine Verbindung herstellt. Je nachdem was das Gerät dahinter kann sollte man den Modus einstellen.

Dazu auf den seriellen AT Port verbinden, hier ist es Beispielsweise /dev/ttyUSB2

QMI:
Code:
screen /dev/ttyUSB2
AT!ENTERCND="A710"
AT!USBCOMP=1,1,10D
MBIM:
Code:
screen /dev/ttyUSB2
AT!ENTERCND="A710"
AT!USBCOMP=1,1,100D
Diese Prozedur kann von jedem Rechner aus gemacht werden, egal ob Linux oder Windows. Die Einstellung bleibt gespeichert und überlebt auch einen at!reset.


mbim.sh:
Code:
#!/bin/sh

[ -n "$INCLUDE_ONLY" ] || {
    . /lib/functions.sh
    . ../netifd-proto.sh
    init_proto "$@"
}
#DBG=-v

proto_mbim_init_config() {
    available=1
    no_device=1
    proto_config_add_string "device:device"
    proto_config_add_string apn
    proto_config_add_string pincode
    proto_config_add_string delay
    proto_config_add_string auth
    proto_config_add_string username
    proto_config_add_string password
}

_proto_mbim_setup() {
    local interface="$1"
    local tid=2
    local ret

    local device apn pincode delay
    json_get_vars device apn pincode delay auth username password

    [ -n "$ctl_device" ] && device=$ctl_device

    [ -n "$device" ] || {
        echo "mbim[$$]" "No control device specified"
        proto_notify_error "$interface" NO_DEVICE
        proto_set_available "$interface" 0
        return 1
    }
    [ -c "$device" ] || {
        echo "mbim[$$]" "The specified control device does not exist"
        proto_notify_error "$interface" NO_DEVICE
        proto_set_available "$interface" 0
        return 1
    }

    devname="$(basename "$device")"
    devpath="$(readlink -f /sys/class/usbmisc/$devname/device/)"
    ifname="$( ls "$devpath"/net )"

    [ -n "$ifname" ] || {
        echo "mbim[$$]" "Failed to find matching interface"
        proto_notify_error "$interface" NO_IFNAME
        proto_set_available "$interface" 0
        return 1
    }

    [ -n "$apn" ] || {
        echo "mbim[$$]" "No APN specified"
        proto_notify_error "$interface" NO_APN
        return 1
    }

    [ -n "$delay" ] && sleep "$delay"
 
    echo "mbim[$$]" "Query radio state"
    umbim $DBG -d $device -n radio| grep "off"
    STATUS=$?
    tid=$((tid + 1))

    [ "$STATUS" -ne 0 ] || {
        sleep 1
        echo "mbim[$$]" "Setting FCC Auth"
        uqmi $DBG -m -d $device --fcc-auth
        sleep 1
    }
 
    echo "mbim[$$]" "Reading capabilities"
    umbim $DBG -d $device -n -t $tid caps || {
        echo "mbim[$$]" "Failed to read modem caps"
        proto_notify_error "$interface" PIN_FAILED
        return 1
    }
    tid=$((tid + 1))

    echo "mbim[$$]" "Checking subscriber"
    umbim $DBG -d $device -n -t $tid subscriber || {
        echo "mbim[$$]" "Subscriber init failed"
        proto_notify_error "$interface" NO_SUBSCRIBER
        return 1
    }
    tid=$((tid + 1))

    echo "mbim[$$]" "Register with network"
      umbim $DBG -d $device -n -t $tid registration || {
        echo "mbim[$$]" "Subscriber registration failed"
        proto_notify_error "$interface" NO_REGISTRATION
        return 1
    }
    tid=$((tid + 1))

    echo "mbim[$$]" "Attach to network"
      umbim $DBG -d $device -n -t $tid attach || {
        echo "mbim[$$]" "Failed to attach to network"
        proto_notify_error "$interface" ATTACH_FAILED
        return 1
    }
    tid=$((tid + 1))

    echo "mbim[$$]" "Connect to network"
    while ! umbim $DBG -d $device -n -t $tid connect "$apn" "$auth" "$username" "$password"; do
        tid=$((tid + 1))
        sleep 1;
    done
    tid=$((tid + 1))
 
    echo "mbim[$$]" "Get IP config"
    CONFIG=$(umbim $DBG -d $device -n -t $tid config) || {
        echo "mbim[$$]" "config failed"
        return 1
    }
 
    IP=$(echo -e "$CONFIG"|grep "ipv4address"|grep -E -o "(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)")
    DNS=$(echo -e "$CONFIG"|grep "ipv4dnsserver"|grep -E -o "(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)" |sed -n 1p)
    DNS2=$(echo -e "$CONFIG"|grep "ipv4dnsserver"|grep -E -o "(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)" |sed -n 2p)
 
    echo "IP: $IP"
    echo "DNS1: $DNS"
    echo "DNS2: $DNS2"
 
    uci_set_state network $interface tid "$tid"
    echo "mbim[$$]" "Connected, setting IP"
 
    proto_init_update "$ifname" 1
 
    proto_add_ipv4_address $IP "255.255.255.255"
    proto_add_ipv4_route "0.0.0.0" 0

    proto_send_update "$interface"
 
    json_init
    json_add_string name "${interface}_4"
    json_add_string ifname "@$interface"
    json_add_string proto "static"

    echo "nameserver $DNS" >> /tmp/resolv.conf.auto
    echo "nameserver $DNS" >> /etc/resolv.conf
    echo "nameserver $DNS2" >> /tmp/resolv.conf.auto
    echo "nameserver $DNS2" >> /etc/resolv.conf

    return 0
}

proto_mbim_setup() {

    local ret

    _proto_mbim_setup $@
    ret=$?

    [ "$ret" = 0 ] || {
        logger "mbim bringup failed, retry in 15s"
        sleep 15
    }

    return $rt
}

proto_mbim_teardown() {
    local interface="$1"

    local device
    json_get_vars device
    local tid=$(uci_get_state network $interface tid)

    [ -n "$ctl_device" ] && device=$ctl_device

    echo "mbim[$$]" "Stopping network"
    [ -n "$tid" ] && {
        umbim $DBG -t$tid -d "$device" disconnect
        uci_revert_state network $interface tid
    }

    proto_init_update "*" 0
    proto_send_update "$interface"
 
}

[ -n "$INCLUDE_ONLY" ] || add_protocol mbim
Die Datei gehört in den Ordner /lib/netifd/proto/
Dannach chmod +x /lib/netifd/proto/mbim.sh eingeben.


Alte mbim.sh:
https://www.lteforum.at/mobilfunk/cat-6-module-basteleien.4969/seite-14.html#post-81731


Lenovo devices: https://www.lteforum.at/mobilfunk/cat-6-module-basteleien.4969/seite-124.html#post-107417
 
Zuletzt bearbeitet:

KOSH

Mobilfunk Teilnehmer
28 Mrz 2014
3.918
1.821
DANK @gogosch ist es jetzt möglich im OpenWRT Menü AT-Befehle abzufragen.
BEITRAG 350
1.)
Zuerst gehört das Menü Openwrt System Custom Commands freigeschaltet
Dazu das Paket luci-app-commands installieren

2.)
Mit WinSCP die Dateien vom Anhang GCOM in den Ordner /etc/gcom einfach einzeln ungezippt reinschieben !
Nun gehören sie noch Verknüpft siehe hier das Bild
upload_2016-7-15_20-55-42.png


Jetzt hat man im Dashboard die verschiedenen Optionen

upload_2016-7-15_20-44-6.png

---------------------------------------------------------------

Dank User @gogosch nochmal dürfte das Problem mit den täglichen Zwangsunterbrechungen auch gelöst sein zumindest bei mir scheint es ohne Unterbrechungen zu laufen
ANLEITUNG:
Hier der Link es würde sonst wieder mal die Seite sprengen
http://www.lteforum.at/mobilfunk/cat-6-module-basteleien.4969/seite-37.html#post-88190
NEU
http://www.lteforum.at/mobilfunk/cat-6-module-basteleien.4969/seite-65.html#post-93557
----------------------------------------------------------------
SMS Steuerung IN/OUT mit OpenWRT
GPPIO 31 Freischalten (erzeugen)
echo 31 > /sys/class/gpio/export
Als Eingang definieren (Bild unten)
echo in > /sys/class/gpio/gpio31/direction
Als Ausgang definieren
echo out > /sys/class/gpio/gpio31/direction
Zustand abfragen
cat /sys/class/gpio/gpio31/value

Hier der IN Schaltplan

Und hier der OUT Schaltplan

Hier braucht man noch einen ein/aus Befehl
echo 1 > /sys/class/gpio/gpio31/value
echo 0 > /sys/class/gpio/gpio31/value

ERSTE HILFE Taste so wie beim Auto oder Feuerwehrknopf per SMS , Alarmanlagen alles möglich sogar mit GPS Daten
Sollte bei jeden Heimrouter mit SIM als Menüpunkt Standard sein Feuerlöscher braucht man ja auch
Warum benutzt man die Interne Simkarte nicht effektiver ?
Gelöst :)
http://www.lteforum.at/mobilfunk/cat-6-module-basteleien.4969/seite-54.html#post-90455


Als OUT geht so was natürlich auch Gerät per SMS einschalten, Status abfragen oder eine Nachricht per E-Mail weiterleiten
http://www.lteforum.at/mobilfunk/lte-wndr3700v4.1758/seite-53.html#post-39843
--------------------------------------------------------------------------------------------------------------
Gedanken zu der 2100 LTE Frequenz wenn die im September bei Hutchison-3 kommen sollte.
Möchte nur vorbereitet sein File in Post 411

Neues BAND-1 AT!BAND=A,”B1 (2100)",0,0000000000000001

AT!ENTERCND="A710"
AT!BAND=0A,”B1”,0,1 (Band-1)
AT!BAND=0B,”B3”,0,4 (Band-3)
AT!BAND=0C,"B7",0,40 (Band-7)
AT!BAND=0D,"B20",0,80000 (Band-20)
AT!BAND=0E,"B3&B7",0,44 (Advanced-CAT6)
AT!BAND=0F,"B1&B3",0,5 (Advanced-CAT6)
AT!BAND=10,"B1&B7",0,41 (Advanced-CAT6)
AT!BAND=11,"B1&B3&B7",0,45 (Advanced-CAT9)
AT!BAND=12,"B1&B3&B7&B8",0,C5 (Advanced-CAT11,12) voll ausgebaut
upload_2016-7-21_8-21-57.png

-------------------------------------------------------------------------------------------------------------------
NACHBARZELLEN SCANNEN
http://www.lteforum.at/mobilfunk/cat-6-module-basteleien.4969/seite-42.html#post-89021
http://www.lteforum.at/mobilfunk/cat-6-module-basteleien.4969/seite-39.html#post-88477
 

Anhänge

Zuletzt bearbeitet:
G

gogosch

Gast
Hi!
Hier habe ich den Deja-Vu!
So ein Projekt habe ich auch schon mal gestartet aber wegen Schwierigkeiten wieder auf die Seite gelegt.:
Hab auch so ein 7455 in einem M.2 to Mini-PCie Adapter welcher schlussendlich dann in einem Mini-PCIe to USB-Adapter steckt. SIM-Slots sind übrigens 2 Stück vorhanden. Funktioniert soweit einwandfrei am W10 Rechner.
Aber, wenn der Speed über 100Mbps steigt hängt sich die SW bzw. der Treiber auf, da der virtuelle Adapter sich nur blöderweise mit 100Mbps anmeldet obwohl das Trumm in einem USB 3.0-Slot steckt.
Der dämliche Adapter kann sichtlich nur USB 2.0. Steht eh drauf (Version 2.0).
Als Software verwende ich NAT32. Der Speed ist erstaunlich. Fast immer um die 100Mbps wo die FB6820 mit max. knapp 95Mbps und weniger dahindümpelt.
7455_1.jpg
7455_2.jpg

Hab auch schon probiert den Mini-PCie mittels Adapter Mini-PCIe to PCie direkt im Rechner in einen PCie-Slot zu verpflanzen. Funktionierte nicht. Nur der GPS-Sensor wurde vom Rechner erkannt.
Was mir nun fehlt wäre ein Mini-PCIe to USB3.0 Adapter. SimSlot ist am andern M.2-Adapter auch vorhanden.
 
Zuletzt bearbeitet von einem Moderator:
  • Gefällt mir
Reaktionen: KOSH

KOSH

Mobilfunk Teilnehmer
28 Mrz 2014
3.918
1.821
Hier steht nur unter Linux USB 3.0 ?



upload_2016-4-23_17-15-30.png


upload_2016-10-17_20-11-23.png
 
Zuletzt bearbeitet:
G

gogosch

Gast
Das kann man horizontal so nicht lesen. Ist nur eine Aufzählung in vertikaler Richtung siehe LTE-Bänder.
Jedenfalls geht das Modem ab wie Schmid's Katze.
Braucht halt unbedingt einen USB 3.0 Port.
Bringt etwa um die 20% mehr Leistung als die FB6820.
Dort wo die FB6820 um die 80Mbps dahindümpelt schafft das EM7455 100Mbps und stürzt dann (der Windows Treiber) wegen USB 2.0 ab. Wenn ich nur eine Antenne anstöpsle habe ich 60 bis 70Mbps ohne Abstürze. Und das bei 3km Entfernung zur Basisstation ohne direkte Sicht.
Ist vor allem dem empfindlicheren Radio-Modul geschuldet und zum anderen der neuesten LTE-Verbindungsfirmware.
 
Zuletzt bearbeitet von einem Moderator:

KOSH

Mobilfunk Teilnehmer
28 Mrz 2014
3.918
1.821
Die hätten hier auch schöne Adapter vielleicht ist da einer dabei
Dürfte nur ein Spannungsproblem am USB 2.0 Adapter sein warum es an manchen Geräten nicht läuft daher y-Kabel verwenden am USB2.0
@gogosch hast du es schon unter Linux geschafft ?
 

Aktuelle Themen